<?php
/**
 * Created by PhpStorm.
 * User: jeffreybertoen
 * Date: 06-02-18
 * Time: 23:58
 */

namespace Drupal\cloudconvert_media_thumbnail;

use Drupal\media\MediaInterface;

/**
 * Interface MediaThumbnailManagerInterface
 *
 * @package Drupal\cloudconvert
 */
interface MediaThumbnailManagerInterface {

  /**
   * Queue a task to create a thumbnail for the given Media item.
   *
   * @param \Drupal\media\MediaInterface $media
   */
  public function queueThumbnailTask(MediaInterface $media);

  /**
   * Validate if we want to process it as a conversion.
   *
   * @param string $inputFormat
   * @param string $outputFormat
   *
   * @return bool
   */
  public function validateImageConversion($inputFormat, $outputFormat);

  /**
   * Validate if we want to process it as a thumbnail info process.
   *
   * @param string $inputFormat
   *
   * @return bool
   */
  public function validateThumbnailConversion($inputFormat);

  /**
   * Validate if the media source field value is changed.
   *
   * @param \Drupal\media\MediaInterface $media
   *
   * @return bool
   */
  public function mediaSourceHasChanged(MediaInterface $media);

}
