<?php

namespace Drupal\cloudconvert\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining CloudConvert Task type entities.
 */
interface CloudConvertTaskTypeInterface extends ConfigEntityInterface {

  /**
   * Get the method for finishing the task after it is finished.
   *
   * @return string
   *   info or download
   */
  public function getFinishMethod();

  /**
   * Set the method for finishing the task.
   *
   * @return string
   *   info or download
   */
  public function setFinishMethod($procesMethod);
}
